Lists
Create a list
POST
https://api.smsedge.com/v1/lists/create/Creates a new, empty contact list and returns it.
Add numbers to the new list with Add a number.
Body params (form)
namestringrequiredName of the list. Maximum 255 characters.
descriptionstringoptionalShort description of the list. Maximum 255 characters.
Responses
- 200The list was created.
- 400The name is missing, or a field is not valid.
curl -X POST "https://api.smsedge.com/v1/lists/create/" \
-H "X-API-KEY: YOUR_API_KEY" \
--data-urlencode "name=Spring promo"[
{
"success": true,
"data": {
"id": 348120,
"name": "Spring promo",
"description": "Customers who bought in March",
"status": "Waiting For Data",
"created": "2026-11-16 14:10:05"
},
"errors": [],
"response": {
"code": 200,
"description": "OK",
"date": "2026-11-16 14:10:05"
},
"api": {
"version": "v1",
"module": "lists",
"function": "create"
},
"user": {
"id": 12345
}
}
]All requests need your API key in the X-API-KEY header. See Authentication.